####---------- Define MDE ----------####
%define pclo 1

%{?_with_pclo: %global pclo 1}
%{?_without_pclo: %global pclo 0}

%define rel 1

%if %pclo
%define release %mkrel %rel
%else
%define distinitials mdk
%define distversion %(rpm -qf --qf='%{VERSION}' /etc/mandrake-release)
%define disttag %{distinitials}%{distversion}
%define release %rel.%{disttag}.mde
%endif
####---------- Define MDE ----------####

# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define name	moodbar
%define version 0.1.2
%define summary	moodbar - audio signal refinement architecture

%define major	0
%define libname	%mklibname ofa %major

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pwsp.net/~qbob/moodbar-%version.tar.gz
Patch0:		libofa-build-fix.patch
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url:		http://amarok.kde.org/wiki/Moodbar
BuildRequires:	fftw3-devel
BuildRequires:	libgstreamer0.10-devel
BuildRequires:	libgstreamer-plugins-base-devel
BuildRequires:	libmad-devel
Requires:	libgstreamer0.10
Requires:	gstreamer0.10-plugins-base
Requires:	libgstreamer-plugins-base0.10
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-flac
Requires:	fftw >= 3.0.1


%description
The Moodbar is an algorithm for creating a colorful visual
representation of the contents of an audio file, giving an idea of its
"mood" (this is a rather fanciful term for the simple analysis it
actually does).  The Moodbar was invented by Gav Wood for inclusion in
the Amarok music player.

This package contains a plugin with elements that are used in the
moodbar analysis, and an application that actually does the analysis.

The plugin contains elements for performing forward and reverse
Fourier transforms to an audio signal, and a couple of example
analysis elements.  The included elements are:

  fftwspectrum:   Convert a raw audio stream into a frequency spectrum
  fftwunspectrum: Convert a frequency spectrum stream into a raw audio stream
  spectrumeq:     Scale amplitudes of bands of a spectrum
  moodbar:        Toy analysis plugin based on Gav Wood's Exscalibar

The application is called moodbar.  Its syntax is:

    moodbar -o [outfile] [infile]

where [outfile] will contain the moodbar data, and [infile] is an audio
file that gstreamer can decode.

%prep
%setup -q

%build
%configure --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%_bindir/moodbar
%_libdir/gstreamer-0.10/libmoodbar.so
%_libdir/gstreamer-0.10/libmoodbar.la

%changelog
* Tue Jan 30 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.1.2-1
- 0.1.2
- Rebuild for pclos2007

* Thu Aug 24 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.1.1-1
- Initial build
